package org.xbib.net.socket.test.systemd;

import org.junit.jupiter.api.Test;
import org.xbib.net.socket.systemd.SystemdJournal;

import java.io.IOException;
import java.io.InputStream;

public class SystemdJournalTest {

    public SystemdJournalTest() {
    }

    @Test
    public void testSystemdJournal() throws IOException {
        try (SystemdJournal systemdJournal = new SystemdJournal()) {
            InputStream inputStream = systemdJournal.getSocket().getInputStream();
            int ch = inputStream.read();
            System.err.println(ch);
        };
    }
}
